Bug 866114 - ValueError: raid1 requires at least 2 disks
ValueError: raid1 requires at least 2 disks
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:091b3915edc5767236a31a783f7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-13 23:59 EDT by Reartes Guillermo
Modified: 2014-02-05 07:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:34:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (245.68 KB, text/plain)
2012-10-13 23:59 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-13 23:59 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-13 23:59 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-13 23:59 EDT, Reartes Guillermo
no flags Details
File: storage.log (120.51 KB, text/plain)
2012-10-13 23:59 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-13 23:59 EDT, Reartes Guillermo
no flags Details
File: environ (764 bytes, text/plain)
2012-10-13 23:59 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (14.12 KB, text/plain)
2012-10-13 23:59 EDT, Reartes Guillermo
no flags Details
File: syslog (60.09 KB, text/plain)
2012-10-13 23:59 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-13 23:59 EDT, Reartes Guillermo
no flags Details
File: packaging.log (3.00 KB, text/plain)
2012-10-13 23:59 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-13 23:59 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-13 23:59 EDT, Reartes Guillermo
no flags Details
File: program.log (17.74 KB, text/plain)
2012-10-14 00:00 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-13 23:59:20 EDT
Description of problem:
tried to create a mirrored (mdadm) /boot and
a mirrored btrfs /


Version-Release number of selected component:
anaconda-18.16

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.16 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicelibs/mdraid.py", line 146, in get_member_space
:    % (level, min_members))
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 3312, in device_size
:    level=self.raid_level)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1848, in setContainerMembers
:    device_space = factory.device_size
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 2035, in newDevice
:    members=members)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 834, in _replace_device
:    self.__storage.newDevice(*args, **kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 978, in _save_right_side
:    selector=selector)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1506, in on_finish_clicked
:    self._save_right_side(self._current_selector)
:ValueError: raid1 requires at least 2 disks
Comment 1 Reartes Guillermo 2012-10-13 23:59:28 EDT
Created attachment 626767 [details]
File: anaconda-tb
Comment 2 Reartes Guillermo 2012-10-13 23:59:31 EDT
Created attachment 626768 [details]
File: product
Comment 3 Reartes Guillermo 2012-10-13 23:59:33 EDT
Created attachment 626769 [details]
File: type
Comment 4 Reartes Guillermo 2012-10-13 23:59:35 EDT
Created attachment 626770 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2012-10-13 23:59:39 EDT
Created attachment 626771 [details]
File: storage.log
Comment 6 Reartes Guillermo 2012-10-13 23:59:42 EDT
Created attachment 626772 [details]
File: version
Comment 7 Reartes Guillermo 2012-10-13 23:59:44 EDT
Created attachment 626773 [details]
File: environ
Comment 8 Reartes Guillermo 2012-10-13 23:59:46 EDT
Created attachment 626774 [details]
File: anaconda.log
Comment 9 Reartes Guillermo 2012-10-13 23:59:49 EDT
Created attachment 626775 [details]
File: syslog
Comment 10 Reartes Guillermo 2012-10-13 23:59:52 EDT
Created attachment 626776 [details]
File: hashmarkername
Comment 11 Reartes Guillermo 2012-10-13 23:59:54 EDT
Created attachment 626777 [details]
File: packaging.log
Comment 12 Reartes Guillermo 2012-10-13 23:59:56 EDT
Created attachment 626778 [details]
File: cmdline_file
Comment 13 Reartes Guillermo 2012-10-13 23:59:58 EDT
Created attachment 626779 [details]
File: release
Comment 14 Reartes Guillermo 2012-10-14 00:00:01 EDT
Created attachment 626780 [details]
File: program.log
Comment 15 Fedora End Of Life 2013-12-21 04:07:10 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2014-02-05 07:34:25 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.